Package org.jboss.classfilewriter.util

## Class Boxing

- java.lang.Object
- - org.jboss.classfilewriter.util.Boxing

    public class Boxing
    extends java.lang.Object

This class is responsible for generating bytecode fragments to box/unbox whatever happens to be on the top of the stack. It is the calling codes responsibility to make sure that the correct type is on the stack

Author:
  Stuart Douglas

### Constructor Summary

Constructors
`Boxing()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `boxBoolean​(CodeAttribute bc)`
`static void` `boxByte​(CodeAttribute bc)`
`static void` `boxChar​(CodeAttribute bc)`
`static void` `boxDouble​(CodeAttribute bc)`
`static void` `boxFloat​(CodeAttribute bc)`
`static void` `boxIfNessesary​(CodeAttribute ca, java.lang.String desc)`
`static void` `boxInt​(CodeAttribute bc)`
`static void` `boxLong​(CodeAttribute bc)`
`static void` `boxShort​(CodeAttribute bc)`
`static CodeAttribute` `unbox​(CodeAttribute ca, java.lang.String desc)`
`static CodeAttribute` `unboxBoolean​(CodeAttribute bc)`
`static CodeAttribute` `unboxByte​(CodeAttribute bc)`
`static CodeAttribute` `unboxChar​(CodeAttribute bc)`
`static CodeAttribute` `unboxDouble​(CodeAttribute bc)`
`static CodeAttribute` `unboxFloat​(CodeAttribute bc)`
`static CodeAttribute` `unboxInt​(CodeAttribute bc)`
`static CodeAttribute` `unboxLong​(CodeAttribute bc)`
`static CodeAttribute` `unboxShort​(CodeAttribute bc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Boxing

    public Boxing()

### Method Detail

#### boxIfNessesary

    public static void boxIfNessesary​(CodeAttribute ca,
                                      java.lang.String desc)

#### unbox

    public static CodeAttribute unbox​(CodeAttribute ca,
                                      java.lang.String desc)

#### boxInt

    public static void boxInt​(CodeAttribute bc)

#### boxLong

    public static void boxLong​(CodeAttribute bc)

#### boxShort

    public static void boxShort​(CodeAttribute bc)

#### boxByte

    public static void boxByte​(CodeAttribute bc)

#### boxFloat

    public static void boxFloat​(CodeAttribute bc)

#### boxDouble

    public static void boxDouble​(CodeAttribute bc)

#### boxChar

    public static void boxChar​(CodeAttribute bc)

#### boxBoolean

    public static void boxBoolean​(CodeAttribute bc)

#### unboxInt

    public static CodeAttribute unboxInt​(CodeAttribute bc)

#### unboxLong

    public static CodeAttribute unboxLong​(CodeAttribute bc)

#### unboxShort

    public static CodeAttribute unboxShort​(CodeAttribute bc)

#### unboxByte

    public static CodeAttribute unboxByte​(CodeAttribute bc)

#### unboxFloat

    public static CodeAttribute unboxFloat​(CodeAttribute bc)

#### unboxDouble

    public static CodeAttribute unboxDouble​(CodeAttribute bc)

#### unboxChar

    public static CodeAttribute unboxChar​(CodeAttribute bc)

#### unboxBoolean

    public static CodeAttribute unboxBoolean​(CodeAttribute bc)